package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.service.ProjectSaleTypeService;
import com.ecep.contract.vo.ProjectSaleTypeVo;

import lombok.NoArgsConstructor;

/**
 * 项目销售类型单元格
 */
@NoArgsConstructor
public class ProjectSaleTypeTableCell<V> extends AsyncUpdateTableCell<V, Integer, ProjectSaleTypeVo> {

    public ProjectSaleTypeTableCell(ProjectSaleTypeService projectSaleTypeService) {
        setService(projectSaleTypeService);
    }

    @Override
    protected ProjectSaleTypeService getServiceBean() {
        return getBean(ProjectSaleTypeService.class);
    }
}